#include "motion_master.h"
#include <stdio.h>
#include <stdlib.h>
#include <Application.h>

int main(int argc,char**argv)
{
	int32 axis,moveto,mypos;

	if(argc!=3)
 	{
	  	printf("args: <axis> <position to goto>\n");
		exit(1);
	}


	motion_master *mybored = new motion_master();

	if( mybored->Open(0x340) )
	{
		sscanf( argv[1],"%d",&axis);
		sscanf( argv[2],"%d",&moveto);

		mybored->MoveTo( axis, moveto );

		do {
				mypos = mybored->Where( axis );
				printf("-> %12d                         \r",mypos);
				snooze(50000);
				fflush(stdout);
			} while( mypos != moveto );

		mybored->Close();
	}
	else printf("cant open board\n");

	delete mybored;

	printf("\n");
	exit(0);	
}