#ifndef __MM_H__ 
#define __MM_H__ 
#include <Drivers.h>

class motion_master
{
public:
	motion_master();
	~motion_master(void);
	bool Open( int32 mm_address );
	void Close(void);
	bool Send( char *cmd  );
	bool Read( char *resp , int32 length );
	bool MoveTo( int32 axis, int32 pos );
	int32 Where( int32 axis );
private:
	int h_MM;

};
#endif
